<?php

namespace Hrm\Vacancy;

use DB;
use Illuminate\Database\Seeder;

class VacancyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('vacancies')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'vacancy.vacancy.view',
                'name'      => 'View Vacancy',
            ],
            [
                'slug'      => 'vacancy.vacancy.create',
                'name'      => 'Create Vacancy',
            ],
            [
                'slug'      => 'vacancy.vacancy.edit',
                'name'      => 'Update Vacancy',
            ],
            [
                'slug'      => 'vacancy.vacancy.delete',
                'name'      => 'Delete Vacancy',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/vacancy/vacancy',
                'name'        => 'Vacancy',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/vacancy/vacancy',
                'name'        => 'Vacancy',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'vacancy',
                'name'        => 'Vacancy',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Vacancy',
                'module'    => 'Vacancy',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'vacancy.vacancy.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
