<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for vacancy in vacancy package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  vacancy module in vacancy package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Vacancy',
    'names'         => 'Vacancies',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Vacancies',
        'sub'   => 'Vacancies',
        'list'  => 'List of vacancies',
        'edit'  => 'Edit vacancy',
        'create'    => 'Create new vacancy'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'shift_type'          => ['Day','Night'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'client_id'                  => 'Select client',
        'unit_id'                    => 'Select unit',
        'job_id'                     => 'Select job',
        'reference'                  => 'Please enter reference',
        'location'                   => 'Please enter location',
        'details'                    => 'Please enter details',
        'date'                       => 'Please select date',
        'shift_type'                 => 'Please select shift type',
        'break_time'                 => 'Please enter break time',
        'space'                      => 'Please enter space',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'client_id'                  => 'Client',
        'unit_id'                    => 'Unit',
        'job_id'                     => 'Job',
        'reference'                  => 'Reference',
        'location'                   => 'Location',
        'details'                    => 'Details',
        'date'                       => 'Date',
        'shift_type'                 => 'Shift type',
        'break_time'                 => 'Break time',
        'space'                      => 'Space',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'client_id'                  => ['name' => 'Client', 'data-column' => 1, 'checked'],
        'unit_id'                    => ['name' => 'Unit', 'data-column' => 2, 'checked'],
        'job_id'                     => ['name' => 'Job', 'data-column' => 3, 'checked'],
        'reference'                  => ['name' => 'Reference', 'data-column' => 4, 'checked'],
        'location'                   => ['name' => 'Location', 'data-column' => 5, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Vacancies',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
